Topic: Simply Fortran 3.0

Simply Fortran Version 3.0 is now available from our website!  This latest release brings substantial user interface improvements, multiple projects per window, and source control integration, among other improvements.

The compiler has been upgraded on Windows and macOS, and our GNU/Linux support has improved drastically.

There is an upgrade fee since this constitutes a major release.

Please fee free to let us know about issues and bugs in this latest version!  It has taken over 10 months to put this release together, and, while we've tested extensively, it may still have problems or usability issues.

Jeff Armstrong
Approximatrix, LLC

Re: Simply Fortran 3.0

Congratulations on the new release. Can SF3 and SF2.x be installed and run on the same machine?

Re: Simply Fortran 3.0

Yes, the two share a handful of settings, but they shouldn't interfere with each other.  I believe they'll use the same compiler, though, if both are installed.

Jeff Armstrong
Approximatrix, LLC

Re: Simply Fortran 3.0

Looks nice!  Will upgrade soon.  Great job smile

5 (edited by m.groetaers 2019-01-03 10:37:14)

Re: Simply Fortran 3.0

Hi Jeff, here is a description of problems I experienced after upgrading to Simply Fortran 3.
Report of problems found after upgrading to SimplyFortran 3.0:

1-    Sample Gtk-Fortran projects don´t run. During compilation step the following error is displayed:
==============================================================================
Generating Makefile... Okay
==============================================================================
Compiling .\bazaar.f90
f951.exe: Fatal Error: Reading module 'gtk' at line 879 column 49: Expected left parenthesis
compilation terminated.
Error: Last command making (build\bazaar.o) returned a bad status
Error: Make execution terminated

* Failed *

2-    The same project compiles and runs  in SimplyFortran 2 (GNU Fortran 7.2.0) or in SimplyFortran 3 if the compiler is changed from GNU Fortran 8.2.0 to GNU Fortran 7.2.0. Probably the package has to be recompiled with GCC 8.2.0, includind PLplot integration. Would this same kind of problem appear with other packages? The versions of the packages related to Gtk-Fortran are:
Gtk+ 3 (32-bit)-Version 3.6.4-Updated on 2014-03-19
Gtk3-Fortran (32-bit)-Version 20140604-2-Updated on 2017-08-30
PLplot with Gtk+ 3 Support (32 bit)-Version 5.10.0-2-Updated on 2017-08-30
   
3-    A minor problem was found after a fresh download/installation of Package Manager. I couldn’t launch the application. The problem was solved after installing MS C++ 2015 Redistributable which is not installed by default.

4-    I lost access to my License Server account don’t know why. When a new password is requested I receive  no e-mail.

Marcelos

Re: Simply Fortran 3.0

Marcelos,

I'll look into the Gtk+ packages.  They'll probably require rebuilding, which will take a significant amount of work.  I was under the impression that they were working, but clearly they're not. 

I'll also see about a new package manager release with the MS C++ redistributable included.

The license server probably did send an email.  However, your email provider almost certainly blocked it, possibly not even notifying you.  Most of the large mail providers will block our server just because of its IP address. If you send an email to support@approximatrix.com, I can probably manually reset your password.  Is there a reason you need access to the License Server?

Jeff Armstrong
Approximatrix, LLC

7 (edited by m.groetaers 2019-01-04 13:08:47)

Re: Simply Fortran 3.0

Jeff, thanks for the reply.

I look forward to the completion of the Gtk + packages rebuild work.

You were correct about the message blocking by the provider. I searched the junk folder and found the answer. The issue of access to the license server has been fixed.

I use the server to manage my licenses and as a secure means to maintain the memory of my purchases and respective license numbers of the purchased software.

Marcelos Groetaers

Re: Simply Fortran 3.0

Should it be wise to keep SF 2.41 after installing 3.0?

Re: Simply Fortran 3.0

m.groetaers wrote:

I look forward to the completion of the Gtk + packages rebuild work.

The GTK+ packages should be working now.

Jeff Armstrong
Approximatrix, LLC

Re: Simply Fortran 3.0

Klaus Asmus wrote:

Should it be wise to keep SF 2.41 after installing 3.0?

There's no harm in having both installed.  They are designed to both be present, and they shouldn't interfere with each other.

Jeff Armstrong
Approximatrix, LLC

Re: Simply Fortran 3.0

Compiling with SF2.41 my program Castor works wel but not in SF3

Compiling .\CASTORglobals.f90
f951.exe: Fatal Error: Reading module 'castorglobals' at line 17 column 27: find_enum(): Enum not found
compilation terminated.

But line 17 of this main module is just the next line
    CHARACTER*72    PADST       /'C:\CASTOR09\'/
And there is no Enum in that file

Compiling with 2.41 again every thing is ok.
Also the built

Building with 3.0 I get following message
Program received signal SIGSEGV: Segmentation fault - invalid memory reference.

Backtrace for this error:
    Backtrace is unavailable.  Please use
    the Simply Fortran debugger for similar
    functionality

What´s the reason, Klaus